# frozen_string_literal: true
Rails.application.routes.draw do
  get 'accounts/genpass', to: 'accounts#genpass', as: :genpass
  get 'accounts/reveal/:id', to: 'accounts#reveal', as: :reveal_password
  resources :accounts, except: [:destroy]

  get "logout", to: "auth#logout", as: :logout
  get "login", to: "auth#login", as: :login
  get "auth", to: "auth#auth", as: :auth
  get "auth/callback", to: 'auth#callback'

  root to: "accounts#index"
  # For details on the DSL available within this file, see http://guides.rubyonrails.org/routing.html
end
